net.sf.jasperreports.engine.base

## Class JRBaseVariable

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseVariable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRVariable
  Direct Known Subclasses:
    JRDesignVariable

      public class JRBaseVariable
      extends java.lang.Object
      implements JRVariable, java.io.Serializable

  Version:
    $Id: JRBaseVariable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CalculationEnum` | `calculationValue`
    `protected JRExpression` | `expression`
    `protected java.lang.Class<?>` | `incrementerFactoryClass`
    `protected java.lang.String` | `incrementerFactoryClassName`
    `protected java.lang.String` | `incrementerFactoryClassRealName`
    `protected JRGroup` | `incrementGroup`
    `protected IncrementTypeEnum` | `incrementTypeValue`
    `protected JRExpression` | `initialValueExpression`
    `protected boolean` | `isSystemDefined`
    `protected java.lang.String` | `name`
    `protected JRGroup` | `resetGroup`
    `protected ResetTypeEnum` | `resetTypeValue`
    `protected java.lang.Class<?>` | `valueClass`
    `protected java.lang.String` | `valueClassName`
    `protected java.lang.String` | `valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRVariable

      `COLUMN_COUNT, COLUMN_NUMBER, PAGE_COUNT, PAGE_NUMBER, REPORT_COUNT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseVariable()`
    `protected` | `JRBaseVariable(JRVariable variable, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `CalculationEnum` | `getCalculationValue()` Gets the variable calculation type.
    `JRExpression` | `getExpression()` Returns the main expression for this variable.
    `java.lang.Class<?>` | `getIncrementerFactoryClass()` Returns the class of the incrementer factory used for choosing the right incrementer for the variable value.
    `java.lang.String` | `getIncrementerFactoryClassName()` Returns the string name of the variable value class.
    `JRGroup` | `getIncrementGroup()` Returns the group whose break triggers the variable increment.
    `IncrementTypeEnum` | `getIncrementTypeValue()` Gets the variable increment type.
    `JRExpression` | `getInitialValueExpression()` Returns the initial value expression for this variable.
    `java.lang.String` | `getName()` Returns the name of the variable.
    `JRGroup` | `getResetGroup()` Returns the group whose break triggers the variable reset.
    `ResetTypeEnum` | `getResetTypeValue()` Gets the variable reset type.
    `java.lang.Class<?>` | `getValueClass()` Returns the class of the variable value.
    `java.lang.String` | `getValueClassName()` Returns the string name of the variable value class.
    `boolean` | `isSystemDefined()` Returns `true` if the variable calculation type is system defined.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### valueClassName

          protected java.lang.String valueClassName

    - #### valueClassRealName

          protected java.lang.String valueClassRealName

    - #### incrementerFactoryClassName

          protected java.lang.String incrementerFactoryClassName

    - #### incrementerFactoryClassRealName

          protected java.lang.String incrementerFactoryClassRealName

    - #### resetTypeValue

          protected ResetTypeEnum resetTypeValue

    - #### incrementTypeValue

          protected IncrementTypeEnum incrementTypeValue

    - #### calculationValue

          protected CalculationEnum calculationValue

    - #### isSystemDefined

          protected boolean isSystemDefined

    - #### valueClass

          protected transient java.lang.Class<?> valueClass

    - #### incrementerFactoryClass

          protected transient java.lang.Class<?> incrementerFactoryClass

    - #### expression

          protected JRExpression expression

    - #### initialValueExpression

          protected JRExpression initialValueExpression

    - #### resetGroup

          protected JRGroup resetGroup

    - #### incrementGroup

          protected JRGroup incrementGroup

  - ### Constructor Detail

    - #### JRBaseVariable

          protected JRBaseVariable()

    - #### JRBaseVariable

          protected JRBaseVariable(JRVariable variable,
                        JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRVariable`
      Returns the name of the variable. Since all variables are stored in a map, the variable names are the keys in the map.
      Specified by:
        `getName` in interface `JRVariable`
      Returns:
        a string containing the variable name

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Description copied from interface: `JRVariable`
      Returns the class of the variable value. Any class is allowed as long as it is in the classpath at compile and run time.
      Specified by:
        `getValueClass` in interface `JRVariable`
      Returns:
        a `Class` instance representing the variable value class

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Description copied from interface: `JRVariable`
      Returns the string name of the variable value class.
      Specified by:
        `getValueClassName` in interface `JRVariable`

    - #### getIncrementerFactoryClass

          public java.lang.Class<?> getIncrementerFactoryClass()

      Description copied from interface: `JRVariable`
      Returns the class of the incrementer factory used for choosing the right incrementer for the variable value.
      Specified by:
        `getIncrementerFactoryClass` in interface `JRVariable`
      Returns:
        the `Class` instance of the incrementer factory
      See Also:
        `JRIncrementer`, `JRIncrementerFactory`

    - #### getIncrementerFactoryClassName

          public java.lang.String getIncrementerFactoryClassName()

      Description copied from interface: `JRVariable`
      Returns the string name of the variable value class.
      Specified by:
        `getIncrementerFactoryClassName` in interface `JRVariable`

    - #### getResetTypeValue

          public ResetTypeEnum getResetTypeValue()

      Description copied from interface: `JRVariable`
      Gets the variable reset type.
      Specified by:
        `getResetTypeValue` in interface `JRVariable`
      Returns:
        a value representing one of the reset type constants in `ResetTypeEnum`

    - #### getIncrementTypeValue

          public IncrementTypeEnum getIncrementTypeValue()

      Description copied from interface: `JRVariable`
      Gets the variable increment type.
      Specified by:
        `getIncrementTypeValue` in interface `JRVariable`
      Returns:
        a value representing one of the reset type constants in `IncrementTypeEnum`

    - #### getCalculationValue

          public CalculationEnum getCalculationValue()

      Description copied from interface: `JRVariable`
      Gets the variable calculation type.
      Specified by:
        `getCalculationValue` in interface `JRVariable`
      Returns:
        a value representing one of the calculation type constants in `CalculationEnum`

    - #### isSystemDefined

          public boolean isSystemDefined()

      Description copied from interface: `JRVariable`
      Returns `true` if the variable calculation type is system defined.
      Specified by:
        `isSystemDefined` in interface `JRVariable`
      See Also:
        `CalculationEnum.SYSTEM`

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRVariable`
      Returns the main expression for this variable. The expression must be numeric for certain calculation types.
      Specified by:
        `getExpression` in interface `JRVariable`
      Returns:
        a `JRExpression` instance containing the expression.

    - #### getInitialValueExpression

          public JRExpression getInitialValueExpression()

      Description copied from interface: `JRVariable`
      Returns the initial value expression for this variable. The expression must be numeric for certain calculation types.
      Specified by:
        `getInitialValueExpression` in interface `JRVariable`
      Returns:
        a `JRExpression` instance containing the initial expression.

    - #### getResetGroup

          public JRGroup getResetGroup()

      Description copied from interface: `JRVariable`
      Returns the group whose break triggers the variable reset. Only used when `JRVariable.getResetTypeValue()` returns `ResetTypeEnum.GROUP`.
      Specified by:
        `getResetGroup` in interface `JRVariable`

    - #### getIncrementGroup

          public JRGroup getIncrementGroup()

      Description copied from interface: `JRVariable`
      Returns the group whose break triggers the variable increment. Only used when `JRVariable.getIncrementTypeValue()` returns `ResetTypeEnum.GROUP`.
      Specified by:
        `getIncrementGroup` in interface `JRVariable`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com